Description

Hi,

Recently I upload a new plugin, upload fine but when I've gone to URL plugin in http://plugins.qgis.org/plugins/ and it said that the about

field not found in metadata.txt, but already this field exists in the metadata.txt.

The only way for resolve this issue was added the "about" section editing inside the plugin.qgis web.

I attached the metadata.txt of my plugin with this issue.

Thanks

Xavier

History

#1 - 2016-12-04 02:54 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

Can you please attach the zip package that you are trying to upload?

Would you be so kind to also add a link to the plugin page and reveal the name of the plugin?

Also, there are different ways to upload a plugin on the repository, can you please describe step-by-step the procedure to reproduce the issue?

#2 - 2016-12-04 05:39 PM - Xavier Corredor Llano

Alessandro Pasotti wrote:

Can you please attach the zip package that you are trying to upload?

Would you be so kind to also add a link to the plugin page and reveal the name of the plugin?

Also, there are different ways to upload a plugin on the repository, can you please describe step-by-step the procedure to reproduce the issue?

Hi Alessandro,

Of course, the zip plugin: https://drive.google.com/file/d/0B2KQf7Dbx7DUUWRWQlRYZ0MzeGc/view?usp=drivesdk

The plugin is: http://plugins.qgis.org/plugins/CloudMasking/

2024-04-26 1/3

http://plugins.qgis.org/plugins/
https://drive.google.com/file/d/0B2KQf7Dbx7DUUWRWQlRYZ0MzeGc/view?usp=drivesdk
http://plugins.qgis.org/plugins/CloudMasking/


For upload the plugin I used the tool called plugin_upload.py this come from the plugin builder http://plugins.qgis.org/plugins/pluginbuilder/

step-by-step:

1. Build a new plugin (that not exists in plugin qgis web)

2. Upload it with plugin_upload.py

3. Go to plugin web and it said that about section is not in metadata.txt file (but the metadata.txt already have about section)

#3 - 2016-12-04 11:51 PM - Alessandro Pasotti

You can not upload the same version twice.

(I agree that the error message could be better).

#4 - 2016-12-05 05:42 AM - Alessandro Pasotti

- Status changed from Open to Closed

Added better error messages.

#5 - 2016-12-05 06:17 AM - Xavier Corredor Llano

Alessandro Pasotti wrote:

You can not upload the same version twice.

(I agree that the error message could be better).

Yes I agree with you, but this is other error, my error report is when you add a new plugin the about field is not detect, but I don't test with other plugin test,

it may be an isolated case.

#6 - 2016-12-05 06:43 AM - Alessandro Pasotti

- Status changed from Closed to Reopened

Oh, sorry, checking that too.

#7 - 2016-12-05 06:49 AM - Alessandro Pasotti

Can you please re-test it now?

#8 - 2016-12-05 07:23 AM - Xavier Corredor Llano

Alessandro Pasotti wrote:

Can you please re-test it now?
Yeah, perfect! tested with http://plugins.qgis.org/plugins/CloudMasking2/ (I will delete in some minutes)

Thanks!

#9 - 2016-12-05 07:42 AM - Xavier Corredor Llano

- Status changed from Reopened to Closed

Files

metadata.txt 1.3 KB 2016-12-03 Xavier Corredor Llano
